Subject: [bug#76081] OCI provisioning service

From: paul <[email-masked]>
Date: Sun, 9 Feb 2025 20:14:33 +0100

Hi,

I'm about to send a v2. v2 compared to the first revision features:

- it actually compiles all the times :) (rev 1 referenced oci-image too 
early for it to be working and generated a compile time error, if you 
recompiled it sometimes went away so I thought it was a problem of my 
setup. CI caught this)
- it allows more values to be overridden by eventual users of the Scheme API
- it allows passing extra arguments directly after each podman or docker 
invokation, allowing for example for overriding podman --root and 
similar options.

All of these tests should pass:

guix shell -D guix -CPW -- make check-system TESTS="oci-container 
oci-service-rootless-podman docker docker-system rootless-podman 
oci-service-docker"

Thank you for your work,

giacomo